
//
// cle4vdr 2005 - 2010 by Alexander Hans <cle4vdr@arcor.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
// Or, point your browser to http://www.gnu.org/copyleft/gpl.html
//


unit uunique;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, ComCtrls;

function isUnique(n: TTreeNode): Boolean;

implementation

uses uinterface, uchannels;

function isUnique(n: TTreeNode): Boolean;
var
  i: Integer;
  uqStr: String;
begin
  result := true;
  uqStr := ChannelID(n);
  for i := 0 to frmMain.tvMain.Items.Count - 1 do
  begin
    if isGroupSep(n) then continue;
    if (uqStr = ChannelID(frmMain.tvMain.Items[i])) AND (n <> frmMain.tvMain.Items[i]) then
    begin
      result := false;
      exit;
    end;
  end;
end;

end.

